Page MenuHomePhabricator

Category based-pageview collection for non-Article space, via Treeviews or similar
Closed, ResolvedPublic

Description

Currently Treeviews does a great job at telling pageviews around a topic, when the main-space content is what needs to be measured. However, for projects like The Wikipedia Library, part of our impact is how many users use services like [[en:WP:Reference Desk]] or open projects like WP:TWL. It would be awesome to add to Treeviews (http://tools.wmflabs.org/glamtools/treeviews/) or similar the ability to select which namespace can be measured, and collected within a category. For example, we would like to be able measure pageviews for https://en.wikipedia.org/wiki/Category:The_Wikipedia_Library on both English, and across the other language communities. This might partially be dependent on https://phabricator.wikimedia.org/T56184 , because Treeviews and similar tools are going to need to be updated alongside the new pageview source data. What would be the best way to do this?

Event Timeline

Sadads created this task.Sep 10 2015, 7:19 PM
Sadads updated the task description. (Show Details)
Sadads raised the priority of this task from to Needs Triage.
Sadads added subscribers: Sadads, Magnus.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2015, 7:19 PM

Both direct page view counts (e.g. treeview) and pages-with-images (baglama) are based on http://stats.grok.se
That site works reasonably well, but has issues (not all wikis, scalability, no desktop/mobile, weird view definitions, etc.)

I am waiting for https://phabricator.wikimedia.org/T44259 to be available, then play around with it, then write some interfaces around that.

If you need a hackish solution before that, maybe someone is willing to supply a patch for treeviews. I myself won't waste time on hacking code that is marked as obsolete.

Hi @Magnus I am excited for the change to T44259 ! Definitely exciting. Do you have a sense of how you are prioritizing reworking treeviews, etc? We would love to see the cross-namespace support happen :)

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 16 2015, 11:25 PM

@Magnus Discovered I could use PagePile to hack the tool: https://tools.wmflabs.org/glamtools/treeviews/?q=%7B%22pagepile%22%3A%221311%22%2C%22rows%22%3A%5B%5D%7D but the Project Space is not collecting pageview information: is that a problem with the new API? Is it not reading Project: as project space as (with https://analytics.wmflabs.org/demo/pageview-api/ it auto corrects to Wikipedia:) ?

Sadads added a comment.Feb 2 2016, 2:57 PM

Hey @Magnus, I attemped again with a pagepile, and it seems to be throwing a similar error. Have you looked into a workaround yet?

Sadads closed this task as Resolved.Jul 5 2016, 8:52 PM
Sadads claimed this task.

Mostly solved with massviews, better conversation/bug at https://phabricator.wikimedia.org/T135437